<?php
    /*Feito por Victor Rangel
    Produto Odhen*/
namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities;
use Teknisa\MAN\Factories;

class DispositivoSSLService {

	protected $entityManager;
	protected $util;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager, Utilities\Util $util)  {
		$this->entityManager = $entityManager;
		$this->util = $util;
	}
	
	public function verificaSSL($params){
		$result = $this->entityManager->getConnection()->fetchAssoc(self::VERIFICA_SSL, $params);
		return $result;
	}
	
	public function verificaCodigo($params){
		$result = $this->entityManager->getConnection()->fetchAssoc(self::VERIFICA_CODIGO, $params);
		return $result;
	}
	
	const VERIFICA_SSL = '
		SELECT IDUTLSSL FROM PARAVEND WHERE CDFILIAL = :CDFILIAL
	';
	
	const VERIFICA_CODIGO = '
		SELECT COUNT(IDSERIALDISP) AS NUMREGISTROS FROM RELACCODSSL WHERE IDSERIALDISP = :IDSERIALDISP OR IDCODSSL = :IDCODSSL
	';
}
?>